/bank_account

Create bank account

Creates a new bank account without a parent

Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json

Request

Body Parameters

NameTypeRequiredDescription
bank_accountapp.BankAccountYesBankAccount

Parameter Models

Inspect object parameters and nested model references without loading the full Swagger file in the browser.

bank_accountBody parameterapp.BankAccount
account_holder_name
string
No description.
active_since
integer
No description.
active_until
integer
No description.
bank_name
string
No description.
bic
string
No description.
date_created
integer
No description.
date_modified
integer
No description.
iban
string
No description.
id
integer
No description.
is_primary
boolean
No description.
label
string
No description.
parent
No description.
parent_id
integer
No description.
cURL
curl -X POST 'https://<tenant>.dieagenturverwaltung.de/api/v2/bank_account' \
  -H 'Accept: application/json' \
  -H 'Authorization: Session Token' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "account_holder_name": "string",
  "active_since": 123,
  "active_until": 123,
  "bank_name": "string",
  "bic": "string",
  "date_created": 123,
  "date_modified": 123,
  "iban": "string",
  "id": 123,
  "is_primary": true,
  "label": "string",
  "parent": {},
  "parent_id": 123
}'
Request Body (application/json)
{
  "account_holder_name": "string",
  "active_since": 123,
  "active_until": 123,
  "bank_name": "string",
  "bic": "string",
  "date_created": 123,
  "date_modified": 123,
  "iban": "string",
  "id": 123,
  "is_primary": true,
  "label": "string",
  "parent": {...},
  "parent_id": 123
}

Responses

200OK
app.BankAccountapplication/json
Example
{
  "account_holder_name": "string",
  "active_since": 123,
  "active_until": 123,
  "bank_name": "string",
  "bic": "string",
  "date_created": 123,
  "date_modified": 123,
  "iban": "string",
  "id": 123,
  "is_primary": true,
  "label": "string",
  "parent": {...},
  "parent_id": 123
}
400Bad Request
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
401Unauthorized
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
403Forbidden
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
404Not Found
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}